/***************************************************************************
 *                                                                         *
 *   include/cad/engine/cadpoint.h                                         *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__ENGINE__CADPOINT_H
#define CAD__ENGINE__CADPOINT_H

#include "cadentity.h"
#include "cadvector.h"

namespace cad
{
	namespace engine
	{
		/**
		 * CADPoint represents a geometrical Point
		 * @author Christoph Permes
		 */
		class CADPoint : public CADEntity
		{
		public:
			CADPoint();
			CADPoint(const CADVector& point, QString layer = "0", CADPen pen = CADPen());
			~CADPoint();
		
			/** @return ID_CADPOINT as entity ID */
			virtual CADEntityType getEntityType() const
			{ return ID_CADPOINT; }
			/** @return if the entity is valid */
			virtual bool isValid() const;
			
			CADVector getPoint() const;
			double getPointX() const;
			double getPointY() const;
			
			void setPoint(const CADVector& point);
			void setPoint(double x, double y);
			void setPointX(double x);
			void setPointY(double y);
			
			virtual QString toString();	
		private:
			CADVector point;
		
		};
	}
}

#endif // CAD__ENGINE__CADPOINT_H
