/***************************************************************************
 *                                                                         *
 *   include/cad/engine/cadxline.h                                         *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__ENGINE__CADXLINE_H
#define CAD__ENGINE__CADXLINE_H

#include "cadray.h"

namespace cad
{
	namespace engine
	{
		/**
		 * CADXLine represents a Construction Line
		 * @author Christoph Permes
		 */
		class CADXLine : public CADRay
		{
		public:
			CADXLine();
			CADXLine(const CADVector& start, const CADVector& direction, QString layer = "0", CADPen pen = CADPen());
			~CADXLine();
	
			/** @return ID_CADXLINE as entity ID */
			virtual CADEntityType getEntityType() const
			{ return ID_CADXLINE; }
			/** @return if the entity is valid */
			virtual bool isValid() const;
			
			virtual QString toString();
			
		};
	}
}

#endif // CAD__ENGINE__CADXLINE_H
