/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlarc.h                                        *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLARC_H
#define CAD__XMLEXPORT__XMLARC_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADArc;
	}
	namespace xmlexport
	{
		using cad::engine::CADArc;
	
		/**
		 * XMLArc exports and imports XML-Code from a CADArc
		 * @author Christoph Permes
		 */
		class XMLArc
		{
		public:
			/** Constructor */
			XMLArc();
			/** Destructor */
			~XMLArc();
			
			/** exports the given CADArc to a QDomDocument */
			static QDomDocument xmlExport(CADArc* entity);
			/** imports the given QDomDocument to a CADArc */
			static CADArc* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLARC_H
