/***************************************************************************
 *                                                                         *
 *   iexportnclude/cad/xmlexport/xmlcircle.h                                     *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLCIRCLE_H
#define CAD__XMLEXPORT__XMLCIRCLE_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADCircle;
	}
	namespace xmlexport
	{
		using cad::engine::CADCircle;
	
		/**
		 * XMLCircle exports and imports XML-Code from a CADCircle
		 * @author Christoph Permes
		 */
		class XMLCircle
		{
		public:
			/** Constructor */
			XMLCircle();
			/** Destructor */
			~XMLCircle();
			
			/** exports the given CADCircle to a QDomDocument */
			static QDomDocument xmlExport(CADCircle* entity);
			/** imports the given QDomDocument to a CADCircle */
			static CADCircle* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLCIRCLE_H
