/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmldrawing.h                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLDRAWING_H
#define CAD__XMLEXPORT__XMLDRAWING_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/caddrawing.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADDrawing;
	
		/**
		 * XMLDrawing exports and imports XML-Code from a Drawing
		 * @author Christoph Permes
		 */
		class XMLDrawing
		{
		public:
			/** Constructor */
			XMLDrawing();
			/** Destructor */
			~XMLDrawing();
			
			/** exports the given CADDrawing to a QDomDocument */
			static QDomDocument xmlExport(CADDrawing drawing);
			/** imports the given QDomDocument to a CADDrawing */
			static CADDrawing xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLDRAWING_H
