/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlentity.h                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLENTITY_H
#define CAD__XMLEXPORT__XMLENTITY_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADEntity;
	}
	namespace xmlexport
	{
		using cad::engine::CADEntity;
	
		/**
		 * XMLEntity exports and imports XML-Code from a CADEntity
		 * @author Christoph Permes
		 */
		class XMLEntity
		{
		public:
			/** Constructor */
			XMLEntity();
			/** Destructor */
			~XMLEntity();
			
			/** exports the given CADEntity to a QDomDocument */
			static QDomDocument xmlExport(CADEntity* entity);
			/** imports the given QDomDocument to a Entity */
			static void xmlImport(QDomElement element, CADEntity* entity);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLENTITY_H
