/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlentitycontainer.h                            *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLENTITYCONTAINER_H
#define CAD__XMLEXPORT__XMLENTITYCONTAINER_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADEntityContainer;
	}
	namespace xmlexport
	{
		using cad::engine::CADEntityContainer;
	
		/**
		 * XMLEntityContainer exports and imports XML-Code from a CADEntityContainer
		 * @author Christoph Permes
		 */
		class XMLEntityContainer
		{
		public:
			/** Constructor */
			XMLEntityContainer();
			/** Destructor */
			~XMLEntityContainer();
			
			/** exports the given CADEntityContainer to a QDomDocument */
			static QDomDocument xmlExport(CADEntityContainer* entityContainer, QString name);
			/** imports the given QDomDocument to a CADEntityContainer */
			static void xmlImport(QDomElement element, CADEntityContainer* entityContainer);
	
		};
	}
}

#endif // CAD__XMLEXPORT__XMLENTITYCONTAINER_H
