/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmllayer.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLLAYER_H
#define CAD__XMLEXPORT__XMLLAYER_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/cadlayer.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADLayer;
	
		/**
		 * XMLLayer exports and imports XML-Code from a CADLayer
		 * @author Christoph Permes
		 */
		class XMLLayer
		{
		public:
			/** Constructor */
			XMLLayer();
			/** Destructor */
			~XMLLayer();
			
			/** exports the given CADLayer to a QDomDocument */
			static QDomDocument xmlExport(CADLayer layer);
			/** imports the given QDomDocument to a CADLayer */
			static CADLayer xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLLAYER_H
