/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmllayerlist.h                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLLAYERLIST_H
#define CAD__XMLEXPORT__XMLLAYERLIST_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/cadlayerlist.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADLayerList;
	
		/**
		 * XMLLayerList exports and imports XML-Code from a CADLayerList
		 * @author Christoph Permes
		 */
		class XMLLayerList
		{
		public:
			/** Constructor */
			XMLLayerList();
			/** Destructor */
			~XMLLayerList();
			
			/** exports the given CADLayerList to a QDomDocument */
			static QDomDocument xmlExport(CADLayerList layerList);
			/** imports the given QDomDocument to a CADLinetypeList */
			static CADLayerList xmlImport(QDomElement element);
	
		};
	}
}

#endif // CAD__XMLEXPORT__XMLLAYERLIST_H
