/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlline.h                                       *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLLINE_H
#define CAD__XMLEXPORT__XMLLINE_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADLine;
	}
	namespace xmlexport
	{
		using cad::engine::CADLine;
	
		/**
		 * XMLLine exports and imports XML-Code from a CADLine
		 * @author Christoph Permes
		 */
		class XMLLine
		{
		public:
			/** Constructor */
			XMLLine();
			/** Destructor */
			~XMLLine();
			
			/** exports the given CADLine to a QDomDocument */
			static QDomDocument xmlExport(CADLine* entity);
			/** imports the given QDomDocument to a CADLine */
			static CADLine* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLLINE_H
