/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmllinetype.h                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLLINETYPE_H
#define CAD__XMLEXPORT__XMLLINETYPE_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/cadlinetype.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADLinetype;
	
		/**
		 * XMLLinetype exports and imports XML-Code from a Linetype
		 * @author Christoph Permes
		 */
		class XMLLinetype
		{
		public:
			/** Constructor */
			XMLLinetype();
			/** Destructor */
			~XMLLinetype();
			
			/** exports the given CADLinetype to a QDomDocument */
			static QDomDocument xmlExport(CADLinetype linetype);
			/** imports the given QDomDocument to a CADLinetype */
			static CADLinetype xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLLINETYPE_H
