/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmllinetypelist.h                               *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLLINETYPELIST_H
#define CAD__XMLEXPORT__XMLLINETYPELIST_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/cadlinetypelist.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADLinetypeList;
	
		/**
		 * XMLLinetypeList exports and imports XML-Code from a LinetypeList
		 * @author Christoph Permes
		 */
		class XMLLinetypeList
		{
		public:
			/** Constructor */
			XMLLinetypeList();
			/** Destructor */
			~XMLLinetypeList();
			
			/** exports the given CADLinetypeList to a QDomDocument */
			static QDomDocument xmlExport(CADLinetypeList linetypeList);
			/** imports the given QDomDocument to a CADLinetypeList */
			static CADLinetypeList xmlImport(QDomElement element);
	
		};
	}
}

#endif // CAD__XMLEXPORT__XMLLINETYPELIST_H
