/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlpen.h                                        *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLPEN_H
#define CAD__XMLEXPORT__XMLPEN_H

#include <qstring.h>
#include <qdom.h>

#include "../engine/cadpen.h"

namespace cad
{
	namespace xmlexport
	{
		using cad::engine::CADPen;
	
		/**
		 * XMLPen exports and imports XML-Code from a CADPen
		 * @author Christoph Permes
		 */
		class XMLPen
		{
		public:
			/** Constructor */
			XMLPen();
			/** Destructor */
			~XMLPen();
			
			/** exports the given CADPen to a QDomDocument */
			static QDomDocument xmlExport(CADPen pen);
			/** imports the given QDomDocument to a CADPen */
			static CADPen xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLPEN_H
