/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlpoint.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLPOINT_H
#define CAD__XMLEXPORT__XMLPOINT_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADPoint;
	}
	namespace xmlexport
	{
		using cad::engine::CADPoint;
	
		/**
		 * XMLPoint exports and imports XML-Code from a CADPoint
		 * @author Christoph Permes
		 */
		class XMLPoint
		{
		public:
			/** Constructor */
			XMLPoint();
			/** Destructor */
			~XMLPoint();
			
			/** exports the given CADPoint to a QDomDocument */
			static QDomDocument xmlExport(CADPoint* entity);
			/** imports the given QDomDocument to a CADPoint */
			static CADPoint* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLPOINT_H
