/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlray.h                                        *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLRAY_H
#define CAD__XMLEXPORT__XMLRAY_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADRay;
	}
	namespace xmlexport
	{
		using cad::engine::CADRay;
	
		/**
		 * XMLRay exports and imports XML-Code from a CADRay
		 * @author Christoph Permes
		 */
		class XMLRay
		{
		public:
			/** Constructor */
			XMLRay();
			/** Destructor */
			~XMLRay();
			
			/** exports the given CADRay to a QDomDocument */
			static QDomDocument xmlExport(CADRay* entity);
			/** imports the given QDomDocument to a CADRay */
			static CADRay* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLRAY_H
