/***************************************************************************
 *                                                                         *
 *   include/cad/xmlexport/xmlxline.h                                      *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__XMLEXPORT__XMLXLINE_H
#define CAD__XMLEXPORT__XMLXLINE_H

#include <qstring.h>
#include <qdom.h>

namespace cad
{
	namespace engine
	{
		class CADXLine;
	}
	namespace xmlexport
	{
		using cad::engine::CADXLine;
	
		/**
		 * XMLXLine exports and imports XML-Code from a CADXLine
		 * @author Christoph Permes
		 */
		class XMLXLine
		{
		public:
			/** Constructor */
			XMLXLine();
			/** Destructor */
			~XMLXLine();
			
			/** exports the given CADXLine to a QDomDocument */
			static QDomDocument xmlExport(CADXLine* entity);
			/** imports the given QDomDocument to a CADXLine */
			static CADXLine* xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__XMLEXPORT__XMLXLINE_H
