/***************************************************************************
 *                                                                         *
 *   include/concadgui/dialogs/aboutdialog.h                               *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__DIALOGS__ABOUTDIALOG_H
#define CONCADGUI__DIALOGS__ABOUTDIALOG_H

#include <qdialog.h>

class QLabel;
class QPushButton;
class QTextEdit;
class QTabWidget;

namespace concadgui
{
	namespace dialogs
	{
		/**
		 * AboutDialog contains information about ConstructCAD
		 * @author Christoph Permes
		 */
	    class AboutDialog : public QDialog
		{
		Q_OBJECT
		public:
			AboutDialog(QWidget* parent=0, const char *name=0);
			~AboutDialog();
		private:
			QLabel* programIcon;
			QLabel* programName;
			QTabWidget* tabWidget;
			QWidget* tabs[3];
			QLabel* version;
			QLabel* copyright;
			QLabel* web;
			QTextEdit* license;
			QPushButton* btClose;
		private slots:
			void sltClose();
		};
	}
}

#endif // CONCADGUI__DIALOGS__ABOUTDIALOG_H
