/***************************************************************************
 *                                                                         *
 *   include/concadgui/dialogs/linetypeloaddialog.h                        *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef CONCADGUI__DIALOGS__LINETYPELOADDIALOG_H
#define CONCADGUI__DIALOGS__LINETYPELOADDIALOG_H

#include <linetypedialogbase.h>

#include "../../cad/engine/cadlinetypelist.h"
#include "../../cad/util/exception.h"

namespace concadgui
{
	namespace dialogs
	{
		using cad::engine::CADLinetypeList;
		using cad::util::Exception;
		
		/**
		 * LinetypeLoadDialog is a dialog for loading linetypes from a file
		 * @author Christoph Permes
		 */
		class LinetypeLoadDialog : public LinetypeDialogBase
		{
		Q_OBJECT
		public:
			/** Constructor */
			LinetypeLoadDialog(QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			~LinetypeLoadDialog();
			
			/** @return the list of loaded linetypes */
			CADLinetypeList getLinetypes() const;
		
		private:
			bool allowByLayer;
			CADLinetypeList linetypeList;
			/** loads a CADLinetypeList from a file */
			CADLinetypeList loadFromFile(QString filename) throw (Exception);
			/** updates the linetype View */
			void updateView();
			
		public slots:
			void onFileClick();
		};
	}
}

#endif // CONCADGUI__DIALOGS__LINETYPEDIALOG_H
