/***************************************************************************
 *                                                                         *
 *   include/concadgui/dialogs/newdialog.h                                 *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__DIALOGS__NEWDIALOG_H
#define CONCADGUI__DIALOGS__NEWDIALOG_H

#include <newdialogbase.h>

namespace concadgui
{
	namespace dialogs
	{
		/**
		 * NewDialog is a dialog for creating new drawings
		 */
		class NewDialog : public NewDialogBase
		{
		Q_OBJECT
		public:
			/** Create a NewDialog */
			NewDialog(QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			~NewDialog();
			
			/** @return the drawing name */
			QString getDrawingName() const;
			/** @return the file name */
			QString getFileName() const;
			/** @return the template name */
			QString getTemplateName() const;
				
		private slots:
			void onFileName();
			void onTemplateFile();
			void onOK();
			
		};
	}
}

#endif // GUI__DIALOGS__NEWDIALOG_H
