/***************************************************************************
 *                                                                         *
 *   include/concadgui/dialogs/propertiesdialog.h                          *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__DIALOGS__PROPERTIESDIALOG_H
#define CONCADGUI__DIALOGS__PROPERTIESDIALOG_H

#include <propertiesdialogbase.h>

#include "../edit/propertiesedit.h"
#include "../edit/entityedit.h"

namespace cad
{
	namespace engine
	{
		class CADEntity;
	}
}

namespace concadgui
{
	namespace dialogs
	{
		using cad::engine::CADEntity;
		using namespace concadgui::edit;
		
		/**
		 * PropertiesDialog is a dialog for editing the properties of entities
		 * or editing the active pen and layer settings
		 * @author Christoph Permes
		 */
		class PropertiesDialog : public PropertiesDialogBase
		{
		Q_OBJECT
		public:
			/**
			 * Create a PropertiesDialog
			 * @param entitiy: if entity is 0 the dialog would edit the 
			 * active pen and layer settings, else the given entity is edited.
			 */
			PropertiesDialog(CADEntity* entity, QWidget* parent=0, 
				const char *name=0);
			/** Destructor */
			~PropertiesDialog();
			
			/** @return the edited entity */
			CADEntity* getEntity();
			
		private:
			CADEntity* entity;
			EntityEdit* entityEdit;
			
		public slots:
			void onOKClick();
			void onCancelClick();
		
		};
	}
}

#endif // CONCADGUI__DIALOGS__PROPERTIESDIALOG_H
