/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/arcedit.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__ARCEDIT_H
#define CONCADGUI__EDIT__ARCEDIT_H

#include <arceditbase.h>
#include "entityedit.h"

namespace cad
{
	namespace engine
	{
		class CADArc;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADArc;
		
		/**
		 * ArcEdit is a widget for editing arcs
		 * @author Christoph Permes
		 */
		class ArcEdit : public ArcEditBase, public EntityEdit
		{
		Q_OBJECT
		public:
			ArcEdit(CADArc* arc, QWidget* parent = 0, const char* name = 0);
			~ArcEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
			
		private:
			CADArc* arc;
			
			void update();
		
		private slots:
			void onCenterChanged(double &x, double &y);
			void onCenterSpecify();
			virtual void onRadiusFocus();
			virtual void onStartAngleFocus();
			virtual void onEndAngleFocus();
			
		};
	}
}

#endif // CONCADGUI__EDIT__ARCEDIT_H
