/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/circleedit.h                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__CIRCLEEDIT_H
#define CONCADGUI__EDIT__CIRCLEEDIT_H

#include <circleeditbase.h>
#include "entityedit.h"

namespace cad
{
	namespace engine
	{
		class CADCircle;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADCircle;
		
		/**
		 * CircleEdit is a widget for editing circles
		 * @author Christoph Permes
		 */
		class CircleEdit : public CircleEditBase, public EntityEdit
		{
		Q_OBJECT
		public:
			CircleEdit(CADCircle* circle, QWidget* parent = 0, 
				const char* name = 0);
			~CircleEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
			
		private:
			CADCircle* circle;
			
			void update();
		
		private slots:
			void onCenterChange(double &x, double &y);
			void onCenterSpecify();
			void onRadiusFocus();
		
		};
	}
}

#endif // CONCADGUI__EDIT__CIRCLEEDIT_H
