/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/coordinateedit.h                               *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__COORDINATEEDIT_H
#define CONCADGUI__EDIT__COORDINATEEDIT_H

#include <coordinateeditbase.h>
#include "../../cad/util/exception.h"

using cad::util::Exception;

namespace concadgui
{
	namespace edit
	{
		/**
		 * CoordinateEdit is a widget for editing coordinates
		 * @author Christoph Permes
		 */
		class CoordinateEdit : public CoordinateEditBase
		{
		Q_OBJECT
		public:
			CoordinateEdit(QWidget* parent = 0, const char* name = 0);
			~CoordinateEdit();
			
			void setTitle(QString title);
			
			double getX() throw (Exception);
			double getY() throw (Exception);
			void setCoordinate(double x, double y);
		
		private:
			double xValue;
			double yValue;
			
			void update();
		
		public slots:
			void onSpecifyClick();
			void onXFocus();
			void onYFocus();
		signals:
			void changed(double &x, double &y);
			void specifyPoint();
		
		};
	}
}

#endif // CONCADGUI__EDIT__COORDINATEEDIT_H
