/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/ellipseedit.h                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__ELLIPSEEDIT_H
#define CONCADGUI__EDIT__ELLIPSEEDIT_H

#include "entityedit.h"
#include <ellipseeditbase.h>

class QLabel;

namespace cad
{
	namespace engine
	{
		class CADEllipse;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADEllipse;
		
		/**
		 * EllipseEdit is a widget for editing ellipses
		 * @author Christoph Permes
		 */
		class EllipseEdit : public EllipseEditBase, public EntityEdit
		{
		Q_OBJECT
		public:
			
			EllipseEdit(CADEllipse* ellipse, QWidget* parent = 0, 
				const char* name = 0);
			~EllipseEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
			
		private:
			CADEllipse* ellipse;
			
			void update();
		
		private slots:
			void onCenterChanged(double &x, double &y);
			void onCenterSpecify();
			virtual void onMajorAxisFocus();
			virtual void onMinorAxisFocus();
		
		};
	}
}

#endif // CONCADGUI__EDIT__ELLIPSEEDIT_H
