/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/entityedit.h                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__ENTITYEDIT_H
#define CONCADGUI__EDIT__ENTITYEDIT_H

#include "../../cad/engine/cadentity.h"
#include "../../cad/util/exception.h"

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADEntity;
		using cad::util::Exception;
	
		/**
		 * EntityEdit is the base class of editing widgets
		 * @author Christoph Permes
		 */
		class EntityEdit
		{
		public:
			/** Create an EntityEdit */
			EntityEdit() {}
			/** Destructor */
			virtual ~EntityEdit() {}
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception) = 0;
			
		};
	}
}

#endif // CONCADGUI__EDIT__ENTITYEDIT_H
