/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/lineedit.h                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__LINEEDIT_H
#define CONCADGUI__EDIT__LINEEDIT_H

#include <lineeditbase.h>
#include "entityedit.h"

namespace cad
{
	namespace engine
	{
		class CADLine;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADLine;
		
		/**
		 * LineEdit is a widget for editing lines
		 * @author Christoph Permes
		 */
		class LineEdit : public LineEditBase, public EntityEdit
		{
		Q_OBJECT
		public:
			LineEdit(CADLine* line, QWidget* parent = 0, 
				const char* name = 0);
			~LineEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CADLine* line;
			
			virtual void update();
		
		private slots:
			void onStartChange(double &x, double &y);
			void onStartSpecify();
			void onEndChange(double &x, double &y);
			void onEndSpecify();
			
		};
	}
}

#endif // CONCADGUI__EDIT__LINEEDIT_H
