/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/pointedit.h                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__POINTEDIT_H
#define CONCADGUI__EDIT__POINTEDIT_H

#include "entityedit.h"
#include "coordinateedit.h"

namespace cad
{
	namespace engine
	{
		class CADPoint;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADPoint;
		
		/**
		 * PointEdit is a widget for editing points
		 * @author Christoph Permes
		 */
		class PointEdit : public CoordinateEdit, public EntityEdit
		{
		Q_OBJECT
		public:
			PointEdit(CADPoint* point, QWidget* parent = 0, 
				const char* name = 0);
			~PointEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CoordinateEdit* pointEdit;
			CADPoint* point;
			
			void update();
		
		private slots:
			void onPointChange(double &x, double &y);
			void onPointSpecify();
		
		};
	}
}

#endif // CONCADGUI__EDIT__POINTEDIT_H
