/***************************************************************************
 *                                                                         *
 *   include/concadgui/edit/rayedit.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__EDIT__RAYEDIT_H
#define CONCADGUI__EDIT__RAYEDIT_H

#include <rayeditbase.h>
#include "entityedit.h"

namespace cad
{
	namespace engine
	{
		class CADRay;
	}
}

namespace concadgui
{
	namespace edit
	{
		using cad::engine::CADRay;
		
		/**
		 * RayEdit is a widget for editing rays
		 * @author Christoph Permes
		 */
		class RayEdit : public RayEditBase, public EntityEdit
		{
		Q_OBJECT
		public:
			RayEdit(CADRay* ray, QWidget* parent = 0, 
				const char* name = 0);
			~RayEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CADRay* ray;
			
			void update();
		
		private slots:
			void onStartChange(double &x, double &y);
			void onStartSpecify();
			void onSecondChange(double &x, double &y);
			void onSecondSpecify();
		
		};
	}
}

#endif // CONCADGUI__EDIT__RAYEDIT_H
