/***************************************************************************
 *                                                                         *
 *   include/concadgui/widgets/commandline.h                               *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__WIDGETS__COMMANDLINE_H
#define CONCADGUI__WIDGETS__COMMANDLINE_H

#include <qlineedit.h>

namespace concadio
{
	class IOInterface;
}

namespace concadgui
{
	namespace widgets
	{
		using concadio::IOInterface;
	
		/**
		 * CommandLine is a widget for Command input
		 * @author Christoph Permes
		 */
		class CommandLine : public QLineEdit
		{
		Q_OBJECT
		public:
			CommandLine(IOInterface* io, QWidget* parent = 0, char* name = 0);
			~CommandLine();
			
			void print(QString s);
			void clear();
		
		signals:
			void input(QString& line, QString& input);
			void escapePressed();
				
		protected:
			void keyPressEvent(QKeyEvent* e);
	
		private:
			QString currentText;
			QString currentInput;
			IOInterface* iointerface;
			
			void printAll();
		
		};
	}
}

#endif // CONCADGUI__WIDGETS__COMMANDLINE_H
