/***************************************************************************
 *                                                                         *
 *   include/concadgui/widgets/commandwidget.h                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__WIDGETS__COMMANDWIDGET_H
#define CONCADGUI__WIDGETS__COMMANDWIDGET_H

#include <qdockwindow.h>

class QTextEdit;

namespace concadio
{
	class IOInterface;
}

namespace concadgui
{
	namespace widgets
	{
		class CommandLine;
		using concadio::IOInterface;
		
		/**
		 * CommandWidget contains the Commandline and displays the 
		 * command history
		 * @author Christoph Permes
		 */
		class CommandWidget : public QDockWindow
		{
		Q_OBJECT
		public:
			CommandWidget(IOInterface* io, Place p = InDock, QWidget * parent = 0, const char * name = 0, WFlags f = 0);
			~CommandWidget();

			CommandLine* getCommandLine();
			
			void print(QString s);
			void printLine(QString s = QString::null);
			
		signals:
			void input(QString& s);
			void escapePressed();

		protected:
			void resizeEvent(QResizeEvent* e);
			
		private:
			QTextEdit* history;
			CommandLine* commandLine;
			
		private slots:
			void appendLine(QString& line, QString& input);
			void escape();

		};
	}
}

#endif // CONCADGUI__WIDGETS__COMMANDWIDGET_H
