/***************************************************************************
 *                                                                         *
 *   include/concadgui/widgets/entityview.h                                *
 *   (C) 2004 by Bernhard Jantscher                                        *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef CONCADGUI__WIDGETS__ENTITYVIEW_H
#define CONCADGUI__WIDGETS__ENTITYVIEW_H

#include "../../cad/engine/cadentitycontainer.h"
#include "../dialogs/propertiesdialog.h"

#include <qdockwindow.h>
class QListBox;
class QListBoxItem;
class QVBox;
class QResizeEvent;

using cad::engine::CADEntityContainer;
using concadgui::dialogs::PropertiesDialog;

namespace concadgui
{
	namespace widgets
	{
		/**
		 * EntityView is a widget for displaying created widgets
		 * @author Bernhard Jantscher
		 */
		class EntityView : public QDockWindow
		{
		Q_OBJECT
		public:
			EntityView(Place p = InDock, QWidget * parent = 0, const char * name = 0, WFlags f = 0); 
			void refresh(CADEntityContainer *container);

		protected:
			void resizeEvent(QResizeEvent* t);

		private:
			CADEntityContainer* container;
			QVBox *vbox;
			QListBox *listbox;
		
		protected slots:
			void editEntity(QListBoxItem *item);

		};
	}

}

#endif // CONCADGUI__WIDGETS__ENTITYVIEW_H
