/***************************************************************************
 *                                                                         *
 *   include/concadgui/widgets/graypalette.h                               *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADGUI__WIDGETS__GRAYPALETTE_H
#define CONCADGUI__WIDGETS__GRAYPALETTE_H

#include <qwidget.h>
#include <qpixmap.h>

class QMouseEvent;
class QPaintEvent;

namespace concadgui
{
	namespace widgets
	{
		/**
		 * GrayPalette is a palette of gray colors
		 * @author Christoph Permes
		 */
		class GrayPalette : public QWidget
		{
		Q_OBJECT
		public:
			GrayPalette(QWidget* parent = 0, const char* name = 0);
			~GrayPalette();
			
		protected:
			virtual void mousePressEvent(QMouseEvent* e);
			virtual void paintEvent(QPaintEvent* e);
		
		private:
			QPixmap colors;
		
		signals:
			void selected(int);
		
		};
	}
}

#endif // CONCADGUI__WIDGETS__GRAYPALETTE_H
