/***************************************************************************
 *                                                                         *
 *   include/concadio/creators/ellipsecreator.h                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__CREATORS__ELLIPSECREATOR_H
#define CONCADIO__CREATORS__ELLIPSECREATOR_H

#include "entitycreator.h"
#include "../undoredo/undoellipse.h"

using namespace concadio::undoredo;

namespace concadio
{
	namespace creators
	{
		/**
		 * EllipseCreator is a class for creating CADEllipses
		 * @author Christoph Permes
		 */
		class EllipseCreator : public EntityCreator
		{
		public:
			/** Constructor */
			EllipseCreator(DrawingManager* dm);
			/** Destructor */
			virtual ~EllipseCreator();
			
			/** Start the creation process */
			virtual void create(IOInterface* io);
			/** undo the last creation part */
			virtual void undo(IOInterface* io);
			/** @return the undo actions of the creation */
			virtual UndoAble* getUndoActions();
			
		private:
			UndoNewEllipse* undoAction;
			static double lastRadius;
			
		};
	}
}

#endif // CONCADIO__CREATORS__ELLIPSECREATOR_H
