/***************************************************************************
 *                                                                         *
 *   include/concadio/creators/pointcreator.h                              *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__CREATORS__POINTCREATOR_H
#define CONCADIO__CREATORS__POINTCREATOR_H

#include "entitycreator.h"
#include "../undoredo/undopoint.h"

using namespace concadio::undoredo;

namespace concadio
{
	namespace creators
	{
		/**
		 * PointCreator is a class for creating CADPoints
		 * @author Christoph Permes
		 */
		class PointCreator : public EntityCreator
		{
		public:
			/** Constructor */
			PointCreator(DrawingManager* dm);
			/** Destructor */
			virtual ~PointCreator();
			
			/** Start the creation process */
			virtual void create(IOInterface* io);
			/** undo the last creation part */
			virtual void undo(IOInterface* io);
			/** @return the undo actions of the creation */
			virtual UndoAble* getUndoActions();
			
		private:
			UndoNewPoint* undoAction;
			
		};
	}
}

#endif // CONCADIO__CREATORS__POINTCREATOR_H
