/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoactivepen.h                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOACTIVEPEN_H
#define CONCADIO__UNDOREDO__UNDOACTIVEPEN_H

#include "undo.h"

#include "../../cad/engine/cadpen.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADPen;
	
		/**
		 * UndoActivePen is an undo class for the active pen
		 * @author Christoph Permes
		 */
		class UndoActivePen : public UndoAction
		{
		public:
			UndoActivePen(CADPen oldPen, CADPen newPen);
			virtual ~UndoActivePen();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADPen oldPen;
			CADPen newPen;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOACTIVEPEN_H
