/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoarc.h                                   *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOARC_H
#define CONCADIO__UNDOREDO__UNDOARC_H

#include "undo.h"

#include "../../cad/engine/cadarc.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADArc;
	
		/**
		 * UndoNewArc is an undo class for new CADArcs
		 * @author Christoph Permes
		 */
		class UndoNewArc : public UndoAction
		{
		public:
			UndoNewArc(CADArc arc);
			virtual ~UndoNewArc();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADArc arc;
			
		};
		
		/**
		 * UndoDeleteArc is an undo class for deleted CADArcs
		 * @author Christoph Permes
		 */
		class UndoDeleteArc : public UndoAction
		{
		public:
			UndoDeleteArc(CADArc arc);
			virtual ~UndoDeleteArc();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADArc arc;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOARC_H
