/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undocircle.h                                *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOCIRCLE_H
#define CONCADIO__UNDOREDO__UNDOCIRCLE_H

#include "undo.h"

#include "../../cad/engine/cadcircle.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADCircle;
	
		/**
		 * UndoNewCircle is an undo class for new CADCircles
		 * @author Christoph Permes
		 */
		class UndoNewCircle : public UndoAction
		{
		public:
			UndoNewCircle(CADCircle circle);
			virtual ~UndoNewCircle();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADCircle circle;
			
		};
		
		/**
		 * UndoDeleteCircle is an undo class for deleted CADCircle
		 * @author Christoph Permes
		 */
		class UndoDeleteCircle : public UndoAction
		{
		public:
			UndoDeleteCircle(CADCircle circle);
			virtual ~UndoDeleteCircle();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADCircle circle;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOCIRCLE_H
