/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoellipse.h                               *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOELLIPSE_H
#define CONCADIO__UNDOREDO__UNDOELLIPSE_H

#include "undo.h"

#include "../../cad/engine/cadellipse.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADEllipse;
	
		/**
		 * UndoNewEllipse is an undo class for new CADEllipses
		 * @author Christoph Permes
		 */
		class UndoNewEllipse : public UndoAction
		{
		public:
			UndoNewEllipse(CADEllipse ellipse);
			virtual ~UndoNewEllipse();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADEllipse ellipse;
			
		};
		
		/**
		 * UndoDeleteEllipse is an undo class for deleted CADEllipse
		 * @author Christoph Permes
		 */
		class UndoDeleteEllipse : public UndoAction
		{
		public:
			UndoDeleteEllipse(CADEllipse ellipse);
			virtual ~UndoDeleteEllipse();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADEllipse ellipse;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOELLIPSE_H
