/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoline.h                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOLINE_H
#define CONCADIO__UNDOREDO__UNDOLINE_H

#include "undo.h"

#include "../../cad/engine/cadline.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADLine;
	
		/**
		 * UndoNewLine is an undo class for new CADLines
		 * @author Christoph Permes
		 */
		class UndoNewLine : public UndoAction
		{
		public:
			UndoNewLine(CADLine line);
			virtual ~UndoNewLine();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADLine line;
			
		};
		
		/**
		 * UndoDeleteLine is an undo class for deleted CADLines
		 * @author Christoph Permes
		 */
		class UndoDeleteLine : public UndoAction
		{
		public:
			UndoDeleteLine(CADLine line);
			virtual ~UndoDeleteLine();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADLine line;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOLINE_H
