/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undopoint.h                                 *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOPOINT_H
#define CONCADIO__UNDOREDO__UNDOPOINT_H

#include "undo.h"

#include "../../cad/engine/cadpoint.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADPoint;
	
		/**
		 * UndoNewPoint is an undo class for new CADPoints
		 * @author Christoph Permes
		 */
		class UndoNewPoint : public UndoAction
		{
		public:
			UndoNewPoint(CADPoint point);
			virtual ~UndoNewPoint();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADPoint point;
			
		};
		
		/**
		 * UndoDeletePoint is an undo class for deleted CADPoints
		 * @author Christoph Permes
		 */
		class UndoDeletePoint : public UndoAction
		{
		public:
			UndoDeletePoint(CADPoint point);
			virtual ~UndoDeletePoint();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADPoint point;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOPOINT_H
