/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoray.h                                   *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDORAY_H
#define CONCADIO__UNDOREDO__UNDORAY_H

#include "undo.h"

#include "../../cad/engine/cadray.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADRay;
	
		/**
		 * UndoNewRay is an undo class for new CADRays
		 * @author Christoph Permes
		 */
		class UndoNewRay : public UndoAction
		{
		public:
			UndoNewRay(CADRay ray);
			virtual ~UndoNewRay();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADRay ray;
			
		};
		
		/**
		 * UndoDeleteRay is an undo class for deleted CADRays
		 * @author Christoph Permes
		 */
		class UndoDeleteRay : public UndoAction
		{
		public:
			UndoDeleteRay(CADRay ray);
			virtual ~UndoDeleteRay();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADRay ray;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDORAY_H
