/***************************************************************************
 *                                                                         *
 *   include/concadio/undoredo/undoxline.h                                 *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONCADIO__UNDOREDO__UNDOXLINE_H
#define CONCADIO__UNDOREDO__UNDOXLINE_H

#include "undo.h"

#include "../../cad/engine/cadxline.h"

namespace concadio
{
	namespace undoredo
	{
		using cad::engine::CADXLine;
	
		/**
		 * UndoNewXLine is an undo class for new CADXLines
		 * @author Christoph Permes
		 */
		class UndoNewXLine : public UndoAction
		{
		public:
			UndoNewXLine(CADXLine xline);
			virtual ~UndoNewXLine();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADXLine xline;
			
		};
		
		/**
		 * UndoDeleteXLine is an undo class for deleted CADXLines
		 * @author Christoph Permes
		 */
		class UndoDeleteXLine : public UndoAction
		{
		public:
			UndoDeleteXLine(CADXLine xline);
			virtual ~UndoDeleteXLine();
			
			virtual UndoAble* copy();
			
			virtual void undo(DrawingManager* dm, IOInterface* io);
			virtual void redo(DrawingManager* dm, IOInterface* io);
			
		private:
			CADXLine xline;
			
		};
	}
}

#endif // CONCADIO__UNDOREDO__UNDOXLINE_H
