/***************************************************************************
 *                                                                         *
 *   src/cad/src/engine/cadxline.cpp                                       *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/engine/cadxline.h>

using namespace cad::engine;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CADXLine::CADXLine()
{

}

CADXLine::CADXLine(const CADVector& start, const CADVector& direction, QString layer, CADPen pen) :
CADRay(start, direction, layer, pen)
{

}


CADXLine::~CADXLine()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** @return if the entity is valid */
bool CADXLine::isValid() const
{
	return true;
}

QString CADXLine::toString()
{
	return QString::number(getEntityID())+":XLINE:"+QString::number(start.getX())+
		","+QString::number(start.getY())+";"+QString::number(direction.getX())+
		","+QString::number(direction.getY());
}

// EOF
