/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlarc.cpp                                      *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlarc.h>
#include <cad/xmlexport/xmlentity.h>
#include <cad/engine/cadarc.h>

using namespace cad::xmlexport;
using cad::engine::CADArc;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLArc::XMLArc()
{

}

/** Destructor */
XMLArc::~XMLArc()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADArc to a QDomDocument */
QDomDocument XMLArc::xmlExport(CADArc* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("arc");
	doc.appendChild(element);
	
	element.appendChild(XMLEntity::xmlExport(entity));
	element.setAttribute("centerX", entity->getCenterX());
	element.setAttribute("centerY", entity->getCenterY());
	element.setAttribute("radius", entity->getRadius());
	element.setAttribute("startAngle", entity->getStartAngle());
	element.setAttribute("endAngle", entity->getEndAngle());
	return doc;
}

/** imports the given QDomDocument to a CADArc */
CADArc* XMLArc::xmlImport(QDomElement element)
{
	CADArc* entity = new CADArc;
	QDomNode node = element.namedItem("entity");
	XMLEntity::xmlImport(node.toElement(), entity);
	entity->setCenterX(element.attribute("centerX").toDouble());
	entity->setCenterY(element.attribute("centerY").toDouble());
	entity->setRadius(element.attribute("radius").toDouble());
	entity->setStartAngle(element.attribute("startAngle").toDouble());
	entity->setEndAngle(element.attribute("endAngle").toDouble());
	return entity;
}

// EOF
