/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlcircle.cpp                                   *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlcircle.h>
#include <cad/xmlexport/xmlentity.h>
#include <cad/engine/cadcircle.h>

using namespace cad::xmlexport;
using cad::engine::CADCircle;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLCircle::XMLCircle()
{

}

/** Destructor */
XMLCircle::~XMLCircle()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADCircle to a QDomDocument */
QDomDocument XMLCircle::xmlExport(CADCircle* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("circle");
	doc.appendChild(element);
	
	element.appendChild(XMLEntity::xmlExport(entity));
	element.setAttribute("centerX", entity->getCenterX());
	element.setAttribute("centerY", entity->getCenterY());
	element.setAttribute("radius", entity->getRadius());
	return doc;
}

/** imports the given QDomDocument to a CADCircle */
CADCircle* XMLCircle::xmlImport(QDomElement element)
{
	CADCircle* entity = new CADCircle;
	QDomNode node = element.namedItem("entity");
	XMLEntity::xmlImport(node.toElement(), entity);
	entity->setCenterX(element.attribute("centerX").toDouble());
	entity->setCenterY(element.attribute("centerY").toDouble());
	entity->setRadius(element.attribute("radius").toDouble());;
	return entity;
}

// EOF
