/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlentity.cpp                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlentity.h>
#include <cad/xmlexport/xmlpen.h>
#include <cad/engine/cadentity.h>

using namespace cad::xmlexport;
using cad::engine::CADEntity;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLEntity::XMLEntity()
{

}

/** Destructor */
XMLEntity::~XMLEntity()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADEntity to a QDomDocument */
QDomDocument XMLEntity::xmlExport(CADEntity* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("entity");
	doc.appendChild(element);
	
	element.setAttribute("layer", entity->getLayer());
	element.appendChild(XMLPen::xmlExport(entity->getPen()));

	return doc;
}

/** imports the given QDomDocument to a CADEntity */
void XMLEntity::xmlImport(QDomElement element, CADEntity* entity)
{
	QDomNode node = element.namedItem("pen");
	entity->setPen(XMLPen::xmlImport(node.toElement()));
	entity->setLayer(element.attribute("layer"));
}

// EOF
