/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmllayer.cpp                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmllayer.h>
#include <cad/xmlexport/xmlpen.h>

using namespace cad::xmlexport;
using cad::engine::CADLayer;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLLayer::XMLLayer()
{

}

/** Destructor */
XMLLayer::~XMLLayer()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADLayer to a QDomDocument */
QDomDocument XMLLayer::xmlExport(CADLayer layer)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("layer");
	doc.appendChild(element);
	
	element.setAttribute("name", layer.getName());
	element.appendChild(XMLPen().xmlExport(layer.getPen()));
	element.setAttribute("frozen", layer.getFrozen());
	element.setAttribute("locked", layer.getLocked());

	return doc;
}

/** imports the given QDomDocument to a CADLayer */
CADLayer XMLLayer::xmlImport(QDomElement element)
{
	CADLayer layer(element.attribute("name"));
	
	QDomNode node = element.namedItem("pen");
	layer.setPen(XMLPen().xmlImport(node.toElement()));
	layer.setFrozen(element.attribute("frozen").toInt());
	layer.setLocked(element.attribute("locked").toInt());
	
	return layer;
}

// EOF
