/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmllayerlist.cpp                                *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmllayerlist.h>
#include <cad/xmlexport/xmllayer.h>

using namespace cad::xmlexport;
using cad::engine::CADLayerList;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLLayerList::XMLLayerList()
{

}

/** Destructor */
XMLLayerList::~XMLLayerList()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADLayerList to a QDomDocument */
QDomDocument XMLLayerList::xmlExport(CADLayerList layerList)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("layerList");
	doc.appendChild(element);
	
	for (int i = 0; i<layerList.getCount(); i++)
	{
		element.appendChild(XMLLayer().xmlExport(layerList.getLayer(i)));
	}

	return doc;
}

/** imports the given QDomDocument to a CADLayerList */
CADLayerList XMLLayerList::xmlImport(QDomElement element)
{
	CADLayerList layerList;
	QDomNodeList list = element.childNodes();
	XMLLayer x;
	for (int i = 0; i<list.count(); i++)
	{
		QDomNode e = list.item(i);
		if (e.isElement())
		{
			CADLayer layer = x.xmlImport(e.toElement());
			qDebug("adding layer "+layer.getName());
			try
			{
				if (layer.getName() != "0")
					layerList.add(layer);
				else
					layerList.update(layer.getName(), layer);
			}
			catch (...) {}
		}
	}
	
	return layerList;
}

// EOF
