/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlline.cpp                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlline.h>
#include <cad/xmlexport/xmlentity.h>
#include <cad/engine/cadline.h>

using namespace cad::xmlexport;
using cad::engine::CADLine;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLLine::XMLLine()
{

}

/** Destructor */
XMLLine::~XMLLine()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADLine to a QDomDocument */
QDomDocument XMLLine::xmlExport(CADLine* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("line");
	doc.appendChild(element);
	
	element.appendChild(XMLEntity().xmlExport(entity));
	element.setAttribute("startX", entity->getStartX());
	element.setAttribute("startY", entity->getStartY());
	element.setAttribute("endX", entity->getEndX());
	element.setAttribute("endY", entity->getEndY());
	return doc;
}

/** imports the given QDomDocument to a CADLine */
CADLine* XMLLine::xmlImport(QDomElement element)
{
	CADLine* entity = new CADLine;
	QDomNode node = element.namedItem("entity");
	XMLEntity().xmlImport(node.toElement(), entity);
	entity->setStartX(element.attribute("startX").toDouble());
	entity->setStartY(element.attribute("startY").toDouble());
	entity->setEndX(element.attribute("endX").toDouble());
	entity->setEndY(element.attribute("endY").toDouble());
	return entity;
}

// EOF
