/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmllinetypelist.cpp                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmllinetypelist.h>
#include <cad/xmlexport/xmllinetype.h>

using namespace cad::xmlexport;
using cad::engine::CADLinetypeList;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLLinetypeList::XMLLinetypeList()
{

}

/** Destructor */
XMLLinetypeList::~XMLLinetypeList()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADLinetypeList to a QDomDocument */
QDomDocument XMLLinetypeList::xmlExport(CADLinetypeList linetypeList)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("linetypeList");
	doc.appendChild(element);
	
	XMLLinetype x;
	for (int i = 0; i<linetypeList.getCount(); i++)
	{
		element.appendChild(x.xmlExport(linetypeList.getLinetype(i)));
	}

	return doc;
}

/** imports the given QDomDocument to a CADLinetypeList */
CADLinetypeList XMLLinetypeList::xmlImport(QDomElement element)
{
	CADLinetypeList linetypes;
	QDomNodeList list = element.childNodes();
	XMLLinetype x;
	for (int i = 0; i<list.count(); i++)
	{
		QDomNode e = list.item(i);
		if (e.isElement())
		{
			CADLinetype lt = x.xmlImport(e.toElement());
			if (!lt.getName().isEmpty())
				linetypes.add(lt, true);
		}
	}
	return linetypes;
}

// EOF
