/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlpen.cpp                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlpen.h>

using namespace cad::xmlexport;
using cad::engine::CADPen;
using cad::engine::CADColor;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLPen::XMLPen()
{

}

/** Destructor */
XMLPen::~XMLPen()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADPen to a QDomDocument */
QDomDocument XMLPen::xmlExport(CADPen pen)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("pen");
	doc.appendChild(element);
	
	element.setAttribute("color", pen.getColor().getValue());
	element.setAttribute("linetype", pen.getLinetype());
	element.setAttribute("linetypeFactor", pen.getLinetypeFactor());

	return doc;
}

/** imports the given QDomDocument to a CADPen */
CADPen XMLPen::xmlImport(QDomElement element)
{
	CADPen pen;
	pen.setColor(CADColor(element.attribute("color").toInt()));
	pen.setLinetype(element.attribute("linetype"));
	pen.setLinetypeFactor(element.attribute("linetypeFactor").toDouble());

	return pen;
}

// EOF
