/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlpoint.cpp                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlpoint.h>
#include <cad/xmlexport/xmlentity.h>
#include <cad/engine/cadpoint.h>

using namespace cad::xmlexport;
using cad::engine::CADPoint;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLPoint::XMLPoint()
{

}

/** Destructor */
XMLPoint::~XMLPoint()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADPoint to a QDomDocument */
QDomDocument XMLPoint::xmlExport(CADPoint* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("point");
	doc.appendChild(element);
	
	element.appendChild(XMLEntity().xmlExport(entity));
	element.setAttribute("x", entity->getPointX());
	element.setAttribute("y", entity->getPointY());

	return doc;
}

/** imports the given QDomDocument to a CADPoint */
CADPoint* XMLPoint::xmlImport(QDomElement element)
{
	CADPoint* entity = new CADPoint;
	QDomNode node = element.namedItem("entity");
	XMLEntity().xmlImport(node.toElement(), entity);
	entity->setPointX(element.attribute("x").toDouble());
	entity->setPointY(element.attribute("y").toDouble());
	return entity;
}

// EOF
