/***************************************************************************
 *                                                                         *
 *   src/cad/src/xmlexport/xmlray.cpp                                      *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cad/xmlexport/xmlray.h>
#include <cad/xmlexport/xmlentity.h>
#include <cad/engine/cadray.h>

using namespace cad::xmlexport;
using cad::engine::CADRay;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XMLRay::XMLRay()
{

}

/** Destructor */
XMLRay::~XMLRay()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADRay to a QDomDocument */
QDomDocument XMLRay::xmlExport(CADRay* entity)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("ray");
	doc.appendChild(element);
	
	element.appendChild(XMLEntity().xmlExport(entity));
	element.setAttribute("startX", entity->getStartX());
	element.setAttribute("startY", entity->getStartY());
	element.setAttribute("directionX", entity->getDirectionX());
	element.setAttribute("directionY", entity->getDirectionY());
	return doc;
}

/** imports the given QDomDocument to a CADRay */
CADRay* XMLRay::xmlImport(QDomElement element)
{
	CADRay* entity = new CADRay;
	QDomNode node = element.namedItem("entity");
	XMLEntity().xmlImport(node.toElement(), entity);
	entity->setStartX(element.attribute("startX").toDouble());
	entity->setStartY(element.attribute("startY").toDouble());
	entity->setDirectionX(element.attribute("directionX").toDouble());
	entity->setDirectionY(element.attribute("directionY").toDouble());
	return entity;
}

// EOF
