DESTDIR = ../../bin
TARGET = concad
TEMPLATE = app
CONFIG += qt warn_on release -lqt-mt
LANGUAGE = C++
INCLUDEPATH += ../../include
LIBS += -L../../lib -lconcadio -lcad
SOURCES += 	src/main.cpp \
			src/mainwindow.cpp \
			src/dialogs/aboutdialog.cpp \
			src/dialogs/colordialog.cpp \
			src/dialogs/layerdialog.cpp \
			src/dialogs/layerselectiondialog.cpp \
			src/dialogs/linetypedialog.cpp \
			src/dialogs/linetypeloaddialog.cpp \
			src/dialogs/newdialog.cpp \
			src/dialogs/propertiesdialog.cpp \
			src/edit/arcedit.cpp \
			src/edit/circleedit.cpp \
			src/edit/coordinateedit.cpp \
			src/edit/ellipseedit.cpp \
			src/edit/lineedit.cpp \
			src/edit/pointedit.cpp \
			src/edit/propertiesedit.cpp \
			src/edit/rayedit.cpp \
			src/widgets/colorpalette.cpp \
			src/widgets/commandline.cpp \
			src/widgets/commandwidget.cpp \
			src/widgets/completepalette.cpp \
			src/widgets/entityview.cpp \
			src/widgets/graypalette.cpp 
HEADERS += 	../../include/concadgui/mainwindow.h \
			../../include/concadgui/dialogs/aboutdialog.h \
			../../include/concadgui/dialogs/colordialog.h \
			../../include/concadgui/dialogs/layerdialog.h \
			../../include/concadgui/dialogs/layerselectiondialog.h \
			../../include/concadgui/dialogs/linetypedialog.h \
			../../include/concadgui/dialogs/linetypeloaddialog.h \
			../../include/concadgui/dialogs/newdialog.h \
			../../include/concadgui/dialogs/propertiesdialog.h \
			../../include/concadgui/edit/arcedit.h \
			../../include/concadgui/edit/circleedit.h \
			../../include/concadgui/edit/coordinateedit.h \
			../../include/concadgui/edit/ellipseedit.h \
			../../include/concadgui/edit/entityedit.h \
			../../include/concadgui/edit/lineedit.h \
			../../include/concadgui/edit/pointedit.h \
			../../include/concadgui/edit/propertiesedit.h \
			../../include/concadgui/edit/rayedit.h \
			../../include/concadgui/widgets/colorpalette.h \
			../../include/concadgui/widgets/commandline.h \
			../../include/concadgui/widgets/commandwidget.h \
			../../include/concadgui/widgets/completepalette.h \
			../../include/concadgui/widgets/entityview.h \
			../../include/concadgui/widgets/graypalette.h 
IMAGES +=	images/concad-16x16.png \
			images/concad-32x32.png \
			images/concad-48x48.png \
			images/concad-splash.png \
			images/arccont.png \
			images/arc.png \
			images/arraypolar.png \
			images/arrayrect.png \
			images/blockins.png \
			images/block.png \
			images/break.png \
			images/byblock.png \
			images/bylayer.png \
			images/cal.png \
			images/cen.png \
			images/chamfer.png \
			images/circle.png \
			images/copy.png \
			images/cut.png \
			images/ddcolor.png \
			images/ddedit.png \
			images/ddemodes.png \
			images/ddim.png \
			images/ddltype.png \
			images/dimaligned.png \
			images/dimangular.png \
			images/dimbaseline.png \
			images/dimcenter.png \
			images/dimcont.png \
			images/dimdiameter.png \
			images/dimedit.png \
			images/dimlinear.png \
			images/dimordinate.png \
			images/dimordinatex.png \
			images/dimordinatey.png \
			images/dimradius.png \
			images/dimtedit.png \
			images/dimtehome.png \
			images/dimteleft.png \
			images/dimteright.png \
			images/dimterotate.png \
			images/ellipse.png \
			images/endp.png \
			images/erase.png \
			images/explode.png \
			images/extend.png \
			images/fillet.png \
			images/from.png \
			images/hatchedit.png \
			images/hatch.png \
			images/help.png \
			images/ins.png \
			images/int.png \
			images/layer.png \
			images/leader.png \
			images/lengthen.png \
			images/line.png \
			images/mid.png \
			images/mirror.png \
			images/mline.png \
			images/move.png \
			images/nea.png \
			images/new.png \
			images/nod.png \
			images/non.png \
			images/objectcopy.png \
			images/offset.png \
			images/open.png \
			images/osnap.png \
			images/paste.png \
			images/per.png \
			images/pline.png \
			images/plot.png \
			images/point.png \
			images/polygon.png \
			images/properties.png \
			images/qua.png \
			images/ray.png \
			images/rectangle.png \
			images/redo.png \
			images/ring.png \
			images/rotate.png \
			images/save.png \
			images/scale.png \
			images/solid.png \
			images/stretch.png \
			images/tan.png \
			images/textsl.png \
			images/text.png \
			images/trim.png \
			images/undo.png \
			images/xline.png \
			images/zoomall.png \
			images/zoomcenter.png \
			images/zoomextent.png \
			images/zoomin.png \
			images/zoomout.png \
			images/zoomprev.png \
			images/zoomscale.png \
			images/zoomwindow.png 
TRANSLATIONS += ts/concad_de.ts 
FORMS += 	ui/newdialogbase.ui \
			ui/layerdialogbase.ui \
			ui/colordialogbase.ui \
			ui/layerselectiondialogbase.ui \
			ui/propertieseditbase.ui \
			ui/coordinateeditbase.ui \
			ui/lineeditbase.ui \
			ui/circleeditbase.ui \
			ui/rayeditbase.ui \
			ui/arceditbase.ui \
			ui/ellipseeditbase.ui \
			ui/propertiesdialogbase.ui \
			ui/linetypedialogbase.ui 
UI_HEADERS_DIR = ui/include
UI_SOURCES_DIR = ui/src
MOC_DIR = moc
OBJECTS_DIR = obj
