/***************************************************************************
 *                                                                         *
 *   src/concadgui/src/dialogs/aboutdialog.cpp                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadgui/dialogs/aboutdialog.h>

#include <qlabel.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qtabwidget.h>
#include <qpixmap.h>
#include <qfile.h>
#include <qapplication.h>

using concadgui::dialogs::AboutDialog;

/* TRANSLATOR concadgui::dialogs::AboutDialog */

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

AboutDialog::AboutDialog(QWidget* parent, const char *name) : 
QDialog(parent,name)
{
	this->setCaption(tr("About ConstructCAD"));
	this->setFixedSize(400, 300);
	
	programIcon = new QLabel(this);
	programIcon->setGeometry(10, 10, 32, 32);
	programIcon->setPixmap(QPixmap::fromMimeSource("concad-32x32.png"));

	programName = new QLabel(this);
	programName->setText("ConstructCAD");
	QFont font(programName->font());
	font.setPointSize(16);
	font.setBold(true);
	programName->setFont(font);
	programName->setGeometry(50, 15, 200, 20);
	
	tabWidget = new QTabWidget(this);
	tabWidget->setGeometry(10, 50 ,380, 200);
	
	tabs[0] = new QWidget(tabWidget);
	tabWidget->addTab(tabs[0], tr("&About"));
	
	version = new QLabel(tabs[0]);
	version->setText(tr("Version")+" 0.2");
	version->setGeometry(10, 10, 300, 20);
	
	copyright = new QLabel(tabs[0]);
	copyright->setText("(C) 2004-2005 by Christoph Permes");
	copyright->setGeometry(10, 40, 300, 20);
	
	web = new QLabel(tabs[0]);
	web->setText("Homepage: http://concad.sourceforge.net\n"
	"Email: chris.permes@aon.at");
	web->setGeometry(10, 70, 300, 50);
	
	tabs[1] = new QWidget(tabWidget);
	tabWidget->addTab(tabs[1], tr("C&redits"));
	
	QTextEdit* credits = new QTextEdit(tabs[1]);
	credits->setGeometry(10, 10, 360, 150);
	credits->setText("<b>Bernhard Jantscher</b><br>"
					"<a href=\"mailto: bernhard.jantscher@gmx.at\">"
					"bernhard.jantscher@gmx.at </a><br>"
					+tr("Miscellaneous development work"));
	credits->setReadOnly(true);
	credits->setPaper(backgroundColor());
	
	tabs[2] = new QWidget(tabWidget);
	tabWidget->addTab(tabs[2], tr("&License"));
	
	license = new QTextEdit(tabs[2]);
	license->setFont(QFont("Courier", 12));
	license->setGeometry(10, 10, 360, 150);
	license->setWordWrap(QTextEdit::NoWrap);
	license->setReadOnly(true);
	QFile f(qApp->applicationDirPath()+"/../COPYING");
	if (f.open(IO_ReadOnly))
	{
		while (!f.atEnd())
		{
			QString line;
			f.readLine(line, 256);
			license->append(line);
		}
		f.close();	
	}
	license->setContentsPos(0, 0);
	

	btClose = new QPushButton(this);
	btClose->setText(tr("&Close"));
	btClose->setGeometry(290, 260, 100, 30);
	connect(btClose, SIGNAL(clicked()), this, SLOT(sltClose()));
}

AboutDialog::~AboutDialog()
{

}

/***************************************************************************
 * Slots                                                                   *
 ***************************************************************************/

void AboutDialog::sltClose()
{
	close();
}
