/***************************************************************************
 *                                                                         *
 *   src/concadgui/src/edit/pointedit.cpp                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadgui/edit/pointedit.h>

#include <qmessagebox.h>
#include <cad/engine/cadpoint.h>

using namespace concadgui::edit;
using cad::engine::CADPoint;

/* TRANSLATOR concadgui::edit::PointEdit */

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

PointEdit::PointEdit(CADPoint* point, QWidget* parent, const char* name):
CoordinateEdit(parent, name)
{
	this->point = point;
	connect(this, SIGNAL(changed(double&,double&)), this,
		SLOT(onPointChange(double&,double&)));
	connect(this, SIGNAL(specifyPoint()), this, SLOT(onPointSpecify()));
	
	update();
}

PointEdit::~PointEdit()
{
	
}

/***************************************************************************
 * Get/Set Methods                                                         *
 ***************************************************************************/

/** @return the edited entity */
CADEntity* PointEdit::getEntity() throw (Exception)
{
	point->setPointX(getX());
	point->setPointY(getY());
	return point;
}

/***************************************************************************
 * Private Methods                                                         *
 ***************************************************************************/

void PointEdit::update()
{
	setCoordinate(point->getPointX(), point->getPointY());
}

/***************************************************************************
 * Private Slots                                                           *
 ***************************************************************************/

void PointEdit::onPointChange(double &x, double &y)
{
	point->setPoint(x, y);
	update();
}

void PointEdit::onPointSpecify()
{

}

// EOF
