/***************************************************************************
 *                                                                         *
 *   src/concadgui/src/widgets/colorpalette.cpp                            *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadgui/widgets/colorpalette.h>

#include <qevent.h>
#include <qpainter.h>

#include <cad/engine/cadcolor.h>

using concadgui::widgets::ColorPalette;
using cad::engine::CADColor;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

ColorPalette::ColorPalette(QWidget* parent, const char* name) : 
QWidget(parent, name)
{
	colors.resize(180, 20);
	colors.fill(Qt::darkGray);
	QPainter painter;
	painter.begin(&colors);
	painter.setPen(Qt::darkGray);
	
	for (int i = 0; i<9; i++)
	{
		CADColor color(i+1);
		painter.setBrush(QColor(color.getRed(), color.getGreen(), color.getBlue()));
		painter.drawRect(i*20, 0, 20, 20);
	}
}

ColorPalette::~ColorPalette()
{
	
}

/***************************************************************************
 * Protected Methods                                                       *
 ***************************************************************************/
			
void ColorPalette::mousePressEvent(QMouseEvent* e)
{
	emit selected(e->x()/20+1);
}

void ColorPalette::paintEvent(QPaintEvent* e)
{
	bitBlt(this, 0, 0, &colors);
}
