/***************************************************************************
 *                                                                         *
 *   src/concadio/src/commandhistory.cpp                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadio/commandhistory.h>
 
using concadio::CommandHistory;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CommandHistory::CommandHistory()
{
	reset();
}

CommandHistory::~CommandHistory()
{
	
}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

void CommandHistory::add(QString command)
{
	QStringList::push_front(command);
}

void CommandHistory::clear()
{
	QStringList::clear();
}

void CommandHistory::reset()
{
	current = -1;
}

QString CommandHistory::previous()
{
	if (QStringList::empty())
		return QString("");
	if (current != (QStringList::count()-1))
		current++;
	return (*this)[current];
}

QString CommandHistory::next()
{
	if (current == -1)
		return QString("");
	current--;
	if (current == -1)
		return QString("");
	return (*this)[current];
}

QString CommandHistory::last()
{
	return (*this)[0];
}
