/***************************************************************************
 *                                                                         *
 *   src/concadio/src/undoredo/undoobjectproperties.cpp                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadio/undoredo/undoactivepen.h>

#include <concadio/iointerface.h>
#include <concadio/drawingmanager.h>
#include <cad/engine/caddrawing.h>

using namespace concadio;
using namespace concadio::undoredo;
using cad::engine::CADPen;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

UndoActivePen::UndoActivePen(CADPen oldPen, CADPen newPen)
{
	this->oldPen = oldPen;
	this->newPen = newPen;
}

UndoActivePen::~UndoActivePen()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

UndoAble* UndoActivePen::copy()
{
	return new UndoActivePen(*this);
}

void UndoActivePen::undo(DrawingManager* dm, IOInterface* io)
{
	if (!undone)
	{
		dm->getDrawing()->setActivePen(oldPen);
		io->updatePropertiesDisplay();
		undone = true;
	}
}

void UndoActivePen::redo(DrawingManager* dm, IOInterface* io)
{
	if (undone)
	{
		dm->getDrawing()->setActivePen(newPen);
		io->updatePropertiesDisplay();
		undone = false;
	}
}

// EOF
