/***************************************************************************
 *                                                                         *
 *   src/concadio/src/undoredo/undocircle.cpp                              *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadio/undoredo/undocircle.h>

#include <concadio/iointerface.h>
#include <concadio/drawingmanager.h>
#include <cad/engine/caddrawing.h>

using namespace concadio;
using namespace concadio::undoredo;
using cad::engine::CADCircle;

/***************************************************************************
 * UndoNewCircle                                                             *
 ***************************************************************************/

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

UndoNewCircle::UndoNewCircle(CADCircle circle) : circle(circle)
{

}

UndoNewCircle::~UndoNewCircle()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

UndoAble* UndoNewCircle::copy()
{
	return new UndoNewCircle(*this);
}

void UndoNewCircle::undo(DrawingManager* dm, IOInterface* io)
{
	if (!undone)
	{
		dm->getDrawing()->removeEntity(circle.getEntityID());
		io->draw(dm->getDrawing());
		undone = true;
	}
}

void UndoNewCircle::redo(DrawingManager* dm, IOInterface* io)
{
	if (undone)
	{
		dm->getDrawing()->addEntity(new CADCircle(circle));
		io->draw(dm->getDrawing());
		undone = false;
	}
}

/***************************************************************************
 * UndoDeleteCircle                                                          *
 ***************************************************************************/

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

UndoDeleteCircle::UndoDeleteCircle(CADCircle circle) : circle(circle)
{

}

UndoDeleteCircle::~UndoDeleteCircle()
{

}


/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

UndoAble* UndoDeleteCircle::copy()
{
	return new UndoDeleteCircle(*this);
}

void UndoDeleteCircle::undo(DrawingManager* dm, IOInterface* io)
{
	if (!undone)
	{
		dm->getDrawing()->addEntity(new CADCircle(circle));
		io->draw(dm->getDrawing());
		undone = true;
	}
}

void UndoDeleteCircle::redo(DrawingManager* dm, IOInterface* io)
{
	if (undone)
	{
		dm->getDrawing()->removeEntity(circle.getEntityID());
		io->draw(dm->getDrawing());
		undone = false;
	}
}

// EOF
