/***************************************************************************
 *                                                                         *
 *   src/concadio/src/undoredo/undoxline.cpp                               *
 *   (C) 2005 by Christoph Permes                                          *
 *   ConstructCAD Project                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <concadio/undoredo/undoxline.h>

#include <concadio/iointerface.h>
#include <concadio/drawingmanager.h>
#include <cad/engine/caddrawing.h>

using namespace concadio;
using namespace concadio::undoredo;
using cad::engine::CADXLine;

/***************************************************************************
 * UndoNewXLine                                                            *
 ***************************************************************************/

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

UndoNewXLine::UndoNewXLine(CADXLine xline) : xline(xline)
{

}

UndoNewXLine::~UndoNewXLine()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

UndoAble* UndoNewXLine::copy()
{
	return new UndoNewXLine(*this);
}

void UndoNewXLine::undo(DrawingManager* dm, IOInterface* io)
{
	if (!undone)
	{
		dm->getDrawing()->removeEntity(xline.getEntityID());
		io->draw(dm->getDrawing());
		undone = true;
	}
}

void UndoNewXLine::redo(DrawingManager* dm, IOInterface* io)
{
	if (undone)
	{
		dm->getDrawing()->addEntity(new CADXLine(xline));
		io->draw(dm->getDrawing());
		undone = false;
	}
}

/***************************************************************************
 * UndoDeleteXLine                                                         *
 ***************************************************************************/

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

UndoDeleteXLine::UndoDeleteXLine(CADXLine xline) : xline(xline)
{

}

UndoDeleteXLine::~UndoDeleteXLine()
{

}


/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

UndoAble* UndoDeleteXLine::copy()
{
	return new UndoDeleteXLine(*this);
}

void UndoDeleteXLine::undo(DrawingManager* dm, IOInterface* io)
{
	if (!undone)
	{
		dm->getDrawing()->addEntity(new CADXLine(xline));
		io->draw(dm->getDrawing());
		undone = true;
	}
}

void UndoDeleteXLine::redo(DrawingManager* dm, IOInterface* io)
{
	if (undone)
	{
		dm->getDrawing()->removeEntity(xline.getEntityID());
		io->draw(dm->getDrawing());
		undone = false;
	}
}

// EOF
